/*
** Module   : tty.keyboard.js
** Abstract : keystrokes management.
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20140110 First version.
*/

tty.keyboard = (function()
{
   /* exports object */
   var my = {}; 
   
   /* initialize module */
   my.init = function()
   {
      require(["dojo/keys", "dojo/dom", "dojo/on", "dojo/domReady!"], function(keys, dom, on)
      {
         /* keypress */
         on(document, "keypress", function(evt)
         {
            //evt.preventDefault();
            //alert(evt);
         });
      
         /* keydown */
         on(document, "keydown", function(evt)
         {
            //evt.preventDefault();
         });

         /* keyup */
         on(document, "keyup", function(evt)
         {
            evt.preventDefault();
            switch(evt.keyCode)
            {
               case keys.RIGHT_ARROW:
                  // handle right arrow
                  tty.screen.next();
                  break;
               case keys.LEFT_ARROW:
                  // handle left arrow
                  tty.screen.back();
                  break;
            }         
         });

      });
   };
   
   /* exports */
   return my;    
}());
