/*
** Module   : tty.mouse.js
** Abstract : mouse management module. 
**
** Copyright (c) 2014, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**         Golden Code Development Corporation
**                 CONFIDENTIAL
**
** -#- -I- --Date-- ----------------------Description--------------------------
** 001 MAG 20140110 First version.
*/

tty.mouse = (function(screen)
{
   /* exports object */
   var my = {};
   /* canvas tag */            
   var canvas;
   /* canvas bound */            
   var rect;
   
   /* initialize mouse module */
   my.init = function(cfg)
   {
      canvas = document.getElementById(cfg.canvas.id);
      rect = canvas.getBoundingClientRect();   
            
      canvas.addEventListener('click', function(evt) 
      {
         var x = evt.clientX - rect.left;
         var y = evt.clientY - rect.top;
         screen.mouseClick(x, y);
      }, true);
   };

   /* exports */
   return my;       
}(tty.screen));
